package com.ibeetl.admin.flow.entity;

import com.ibeetl.admin.core.annotation.Query;
import com.ibeetl.admin.core.entity.BaseEntity;
import org.beetl.sql.core.annotatoin.ColumnIgnore;

public class DirectedChannelEntity extends BaseEntity {

    private String id;

    private String orderchannel;

    @Query(name = "渠道名称", display = true)
    private String channelname;

    private String channeltype;

    @ColumnIgnore
    private String sou;

    @Query(name="渠道归类",display=true,type=Query.TYPE_DICT,dict="newtype",group="newtype")
    private String newtype;

    @Query(name="短信归类",display=true,type=Query.TYPE_DICT,dict="smschannel",group="smschannel")
    private String smschannel;

    @ColumnIgnore
    private String inserttime;

    @ColumnIgnore
    private String updatetime;

    public String getNewtype() {
        return newtype;
    }

    public void setNewtype(String newtype) {
        this.newtype = newtype;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderchannel() {
        return orderchannel;
    }

    public void setOrderchannel(String orderchannel) {
        this.orderchannel = orderchannel;
    }

    public String getChannelname() {
        return channelname;
    }

    public void setChannelname(String channelname) {
        this.channelname = channelname;
    }

    public String getChanneltype() {
        return channeltype;
    }

    public void setChanneltype(String channeltype) {
        this.channeltype = channeltype;
    }

    public String getSou() {
        return sou;
    }

    public void setSou(String sou) {
        this.sou = sou;
    }

    public String getInserttime() {
        return inserttime;
    }

    public void setInserttime(String inserttime) {
        this.inserttime = inserttime;
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime;
    }

    public String getSmschannel() {
        return smschannel;
    }

    public void setSmschannel(String smschannel) {
        this.smschannel = smschannel;
    }
}
